# Generated from narou-3.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name narou

Name: rubygem-%{gem_name}
Version: 3.8.0
Release: 1%{?dist}
Summary: Narou.rb ― 小説家になろうダウンローダ＆縦書用整形スクリプト
License: MIT
URL: http://whiteleaf.hatenablog.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-retry) >= 0.6
# BuildRequires: rubygem(rspec-retry) < 1
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.4
# BuildRequires: rubygem(rspec_junit_formatter) < 1
# BuildRequires: rubygem(timecop) >= 0.9
# BuildRequires: rubygem(timecop) < 1
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-byebug) >= 3.8
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(awesome_print) >= 1.8
# BuildRequires: rubygem(awesome_print) < 2
# BuildRequires: rubygem(simplecov) >= 0.20
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
小説家になろうで公開されている小説の管理、及び電子書籍データへの変換を支援します。縦書用に特化されており、横書き用に特化されたWEB小説を違和感なく縦書で読むことが出来るようになります。.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/narou
%{gem_instdir}/.circleci
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.haml-lint.yml
%{gem_instdir}/.reek
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.scss-lint.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/commitversion
%{gem_libdir}
%{gem_instdir}/narou.bat
%{gem_instdir}/narou.rb
%{gem_instdir}/preset
%{gem_instdir}/template
%{gem_instdir}/webnovel
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/narou.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 3.8.0-1
- Initial package
